Pular para o conteúdo principal
GET
/api/v1/characters

Endpoint experimental

Este é um endpoint experimental e pode estar sujeito a alterações.

Coleção do Postman

Para exemplos adicionais, consulte esta coleção do Postman.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de consulta

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Exemplo:
isAdult
enum<string>

Filter by adult content flag

Opções disponíveis:
true,
false
Exemplo:

"false"

isPro
enum<string>

Filter to only show characters using pro models

Opções disponíveis:
true,
false
Exemplo:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

Opções disponíveis:
true,
false
Exemplo:

"true"

limit
integer
padrão:50

Number of characters to return (max: 100)

Intervalo obrigatório: 0 < x <= 100
Exemplo:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
Exemplo:
offset
integer | null
padrão:0

Number of characters to skip for pagination

Intervalo obrigatório: x >= 0
Exemplo:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
Exemplo:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

Opções disponíveis:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
Exemplo:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

Opções disponíveis:
asc,
desc
Exemplo:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Exemplo:

Resposta

OK

data
object[]
obrigatório
object
enum<string>
obrigatório
Opções disponíveis:
list